#ifndef  __TEXTUREMENAGER_H_
#define  __TEXTUREMENAGER_H_

#include <d3d.h>
#include "texture.h"

HRESULT LoadTexture( TCHAR* name, LPDIRECT3DDEVICE7 pd3dDevice, 
					 DWORD flags = GEMTEXTURE_SQUARE | GEMTEXTURE_POW2 | GEMTEXTURE_MANAGING );
LPDIRECTDRAWSURFACE7 GetTexture( TCHAR* name );
VOID RemoveTexture( TCHAR* name );

#endif

	

	